<ion-header [translucent]="true" class="ion-no-border">
  <ion-toolbar color="medium" mode="ios">
    <ion-title>Listas de Tareas</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content color="light">

  <ion-list mode="ios" [inset]="true" class="ion-no-padding">
    <ion-item  mode="ios" [button]="true" *ngFor="let list of lists" (click)="selectList(list)">
      <ion-icon [color]="list.color_name" slot="start" name="list-circle" size="large"></ion-icon>
      <ion-label>{{ list.name }}</ion-label>
      <ion-note slot="end">{{ list.task || 0 }}</ion-note>
    </ion-item>
  </ion-list>

</ion-content>

<ion-footer class="ion-no-border">
  <ion-toolbar color="none" *ngIf="showNewList">
    <ion-item>
      <ion-input
        label="Nombre"
        labelPlacement="stacked"
        placeholder="Escribe algo"
        [(ngModel)]="nameList"
      ></ion-input>
      <ion-button mode="ios" [color]="selectedColor" shape="round" slot="end" size="default" (click)="presentPopoverColor($event)">Color</ion-button>
    </ion-item>

  </ion-toolbar>

  <ion-toolbar color="none">
    <ion-buttons slot="end">
      <ion-button *ngIf="!showNewList" shape="round" fill="outline" color="medium" (click)="newList()">
        <ion-icon name="add-circle-outline"></ion-icon>
        Crear Nueva Lista
      </ion-button>
      <ion-button *ngIf="showNewList" shape="round" fill="outline" color="medium" (click)="saveList()">
        <ion-icon name="save-outline"></ion-icon>
        Guardar
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-footer>
